Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 822177 (kde-gear-21.08.3-stable) - KDE Gear 21.08.3 stabilisation
Summary: KDE Gear 21.08.3 stabilisation
Status: RESOLVED FIXED
Alias: kde-gear-21.08.3-stable
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords: CC-ARCHES, SECURITY, STABLEREQ
Depends on: 826374 816093
Blocks: CVE-2021-38373 CVE-2020-15954 821970
  Show dependency tree
 
Reported: 2021-11-06 22:16 UTC by Andreas Sturmlechner
Modified: 2021-12-19 16:46 UTC (History)
5 users (show)

See Also:
Package list:
kde-apps/baloo-widgets-21.08.3 amd64 arm64 x86 kde-apps/dolphin-21.08.3 amd64 arm64 x86 kde-apps/kate-21.08.3 amd64 arm64 x86 kde-apps/kde-apps-meta-21.08.3 amd64 arm64 x86 kde-apps/kdecore-meta-21.08.3 amd64 arm64 x86 kde-apps/khelpcenter-21.08.3 amd64 arm64 x86 kde-apps/konsole-21.08.3 amd64 arm64 x86 kde-apps/kwrite-21.08.3 amd64 arm64 x86 kde-apps/kdialog-21.08.3 amd64 arm64 x86 kde-apps/keditbookmarks-21.08.3 amd64 arm64 x86 kde-apps/kfind-21.08.3 amd64 arm64 x86 kde-apps/konqueror-21.08.3 amd64 arm64 x86 app-accessibility/kontrast-21.08.3-r1 amd64 arm64 x86 kde-apps/kdeaccessibility-meta-21.08.3 amd64 arm64 x86 kde-apps/kmag-21.08.3 amd64 arm64 x86 kde-apps/kmousetool-21.08.3 amd64 arm64 x86 kde-apps/kmouth-21.08.3 amd64 arm64 x86 kde-apps/kdeadmin-meta-21.08.3 amd64 arm64 x86 kde-apps/kcron-21.08.3 amd64 arm64 x86 kde-apps/ksystemlog-21.08.3 amd64 arm64 x86 kde-apps/analitza-21.08.3 amd64 arm64 x86 kde-apps/artikulate-21.08.3 amd64 arm64 x86 kde-apps/blinken-21.08.3 amd64 arm64 x86 kde-apps/cantor-21.08.3 amd64 arm64 x86 kde-apps/kalgebra-21.08.3 amd64 arm64 x86 kde-apps/kalzium-21.08.3 amd64 arm64 x86 kde-apps/kanagram-21.08.3 amd64 arm64 x86 kde-apps/kbruch-21.08.3 amd64 arm64 x86 kde-apps/kdeedu-data-21.08.3 amd64 arm64 x86 kde-apps/kdeedu-meta-21.08.3 amd64 arm64 x86 kde-apps/kgeography-21.08.3 amd64 arm64 x86 kde-apps/khangman-21.08.3 amd64 arm64 x86 kde-apps/kig-21.08.3 amd64 arm64 x86 kde-apps/kiten-21.08.3 amd64 arm64 x86 kde-apps/klettres-21.08.3 amd64 arm64 x86 kde-apps/kmplot-21.08.3 amd64 arm64 x86 kde-apps/kqtquickcharts-21.08.3 amd64 arm64 x86 kde-apps/ktouch-21.08.3 amd64 arm64 x86 kde-apps/kturtle-21.08.3 amd64 arm64 x86 kde-apps/kwordquiz-21.08.3 amd64 arm64 x86 kde-apps/libkeduvocdocument-21.08.3 amd64 arm64 x86 kde-apps/marble-21.08.3 amd64 arm64 x86 kde-apps/minuet-21.08.3 amd64 arm64 x86 kde-apps/parley-21.08.3 amd64 arm64 x86 kde-apps/rocs-21.08.3 amd64 arm64 x86 kde-apps/step-21.08.3 amd64 arm64 x86 kde-apps/bomber-21.08.3 amd64 arm64 x86 kde-apps/bovo-21.08.3 amd64 arm64 x86 kde-apps/granatier-21.08.3 amd64 arm64 x86 kde-apps/kajongg-21.08.3 amd64 arm64 x86 kde-apps/kapman-21.08.3 amd64 arm64 x86 kde-apps/katomic-21.08.3 amd64 arm64 x86 kde-apps/kblackbox-21.08.3 amd64 arm64 x86 kde-apps/kblocks-21.08.3 amd64 arm64 x86 kde-apps/kbounce-21.08.3 amd64 arm64 x86 kde-apps/kbreakout-21.08.3 amd64 arm64 x86 kde-apps/kdegames-meta-21.08.3 amd64 arm64 x86 kde-apps/kdiamond-21.08.3 amd64 arm64 x86 kde-apps/kfourinline-21.08.3 amd64 arm64 x86 kde-apps/kgoldrunner-21.08.3 amd64 arm64 x86 kde-apps/kigo-21.08.3 amd64 arm64 x86 kde-apps/killbots-21.08.3 amd64 arm64 x86 kde-apps/kiriki-21.08.3 amd64 arm64 x86 kde-apps/kjumpingcube-21.08.3 amd64 arm64 x86 kde-apps/klickety-21.08.3 amd64 arm64 x86 kde-apps/klines-21.08.3 amd64 arm64 x86 kde-apps/kmahjongg-21.08.3 amd64 arm64 x86 kde-apps/kmines-21.08.3 amd64 arm64 x86 kde-apps/knavalbattle-21.08.3 amd64 arm64 x86 kde-apps/knetwalk-21.08.3 amd64 arm64 x86 kde-apps/knights-21.08.3 amd64 arm64 x86 kde-apps/kolf-21.08.3 amd64 arm64 x86 kde-apps/kollision-21.08.3 amd64 arm64 x86 kde-apps/konquest-21.08.3 amd64 arm64 x86 kde-apps/kpat-21.08.3 amd64 arm64 x86 kde-apps/kreversi-21.08.3 amd64 arm64 x86 kde-apps/kshisen-21.08.3 amd64 arm64 x86 kde-apps/ksirk-21.08.3 amd64 arm64 x86 kde-apps/ksnakeduel-21.08.3 amd64 arm64 x86 kde-apps/kspaceduel-21.08.3 amd64 arm64 x86 kde-apps/ksquares-21.08.3 amd64 arm64 x86 kde-apps/ksudoku-21.08.3 amd64 arm64 x86 kde-apps/ktuberling-21.08.3 amd64 arm64 x86 kde-apps/kubrick-21.08.3 amd64 arm64 x86 kde-apps/libkdegames-21.08.3 amd64 arm64 x86 kde-apps/libkmahjongg-21.08.3 amd64 arm64 x86 kde-apps/lskat-21.08.3 amd64 arm64 x86 kde-apps/palapeli-21.08.3 amd64 arm64 x86 kde-apps/picmi-21.08.3 amd64 arm64 x86 kde-apps/gwenview-21.08.3 amd64 arm64 x86 kde-apps/kamera-21.08.3 amd64 arm64 x86 kde-apps/kcolorchooser-21.08.3 amd64 arm64 x86 kde-apps/kdegraphics-meta-21.08.3 amd64 arm64 x86 kde-misc/skanlite-21.08.3 amd64 arm64 x86 kde-apps/kdegraphics-mobipocket-21.08.3 amd64 arm64 x86 kde-apps/kipi-plugins-21.08.3 amd64 arm64 x86 kde-apps/kolourpaint-21.08.3 amd64 arm64 x86 kde-apps/kruler-21.08.3 amd64 arm64 x86 kde-apps/libkdcraw-21.08.3 amd64 arm64 x86 kde-apps/libkexiv2-21.08.3 amd64 arm64 x86 kde-apps/libkipi-21.08.3 amd64 arm64 x86 kde-apps/libksane-21.08.3 amd64 arm64 x86 kde-apps/okular-21.08.3 amd64 arm64 x86 kde-apps/spectacle-21.08.3 amd64 arm64 x86 kde-apps/svgpart-21.08.3 amd64 arm64 x86 kde-apps/thumbnailers-21.08.3 amd64 arm64 x86 kde-apps/audiocd-kio-21.08.3 amd64 arm64 x86 kde-apps/dragon-21.08.3 amd64 arm64 x86 kde-apps/ffmpegthumbs-21.08.3 amd64 arm64 x86 kde-apps/juk-21.08.3 amd64 arm64 x86 kde-apps/k3b-21.08.3 amd64 arm64 x86 kde-apps/kamoso-21.08.3 amd64 arm64 x86 kde-apps/kdemultimedia-meta-21.08.3 amd64 arm64 x86 kde-apps/kdenlive-21.08.3 amd64 arm64 x86 media-libs/mlt-7.2.0 amd64 arm64 x86 kde-apps/kmix-21.08.3 amd64 arm64 x86 kde-apps/kwave-21.08.3 amd64 arm64 x86 kde-apps/libkcddb-21.08.3 amd64 arm64 x86 kde-apps/libkcompactdisc-21.08.3 amd64 arm64 x86 media-sound/elisa-21.08.3 amd64 arm64 x86 kde-apps/dolphin-plugins-dropbox-21.08.3 amd64 x86 kde-apps/kaccounts-integration-21.08.3 amd64 arm64 x86 kde-apps/kaccounts-providers-21.08.3 amd64 arm64 x86 kde-apps/kdenetwork-meta-21.08.3 amd64 arm64 x86 kde-apps/kdenetwork-filesharing-21.08.3 amd64 arm64 x86 kde-apps/kget-21.08.3 amd64 arm64 x86 kde-apps/kio-extras-21.08.3 amd64 arm64 x86 kde-apps/krdc-21.08.3 amd64 arm64 x86 kde-apps/krfb-21.08.3 amd64 arm64 x86 kde-apps/kopete-21.08.3 amd64 arm64 x86 kde-apps/ktp-accounts-kcm-21.08.3 amd64 arm64 x86 kde-apps/ktp-approver-21.08.3 amd64 arm64 x86 kde-apps/ktp-auth-handler-21.08.3 amd64 arm64 x86 kde-apps/ktp-common-internals-21.08.3 amd64 arm64 x86 kde-apps/ktp-contact-list-21.08.3 amd64 arm64 x86 kde-apps/ktp-contact-runner-21.08.3 amd64 arm64 x86 kde-apps/ktp-desktop-applets-21.08.3 amd64 arm64 x86 kde-apps/ktp-filetransfer-handler-21.08.3 amd64 arm64 x86 kde-apps/ktp-kded-module-21.08.3 amd64 arm64 x86 kde-apps/ktp-send-file-21.08.3 amd64 arm64 x86 kde-apps/ktp-text-ui-21.08.3 amd64 arm64 x86 kde-apps/plasma-telepathy-meta-21.08.3 amd64 arm64 x86 kde-apps/signon-kwallet-extension-21.08.3 amd64 arm64 x86 kde-apps/zeroconf-ioslave-21.08.3 amd64 arm64 x86 kde-misc/kdeconnect-21.08.3 amd64 arm64 x86 kde-misc/kio-gdrive-21.08.3 amd64 arm64 x86 net-irc/konversation-21.08.3 amd64 arm64 x86 net-libs/libktorrent-21.08.3 amd64 arm64 x86 net-p2p/ktorrent-21.08.3 amd64 arm64 x86 kde-apps/akonadi-21.08.3 amd64 arm64 x86 kde-apps/akonadi-calendar-21.08.3 amd64 arm64 x86 kde-apps/akonadi-contacts-21.08.3 amd64 arm64 x86 kde-apps/akonadi-import-wizard-21.08.3 amd64 arm64 x86 kde-apps/akonadi-mime-21.08.3 amd64 arm64 x86 kde-apps/akonadi-notes-21.08.3 amd64 arm64 x86 kde-apps/akonadi-search-21.08.3 amd64 arm64 x86 kde-apps/akonadiconsole-21.08.3 amd64 arm64 x86 kde-apps/akregator-21.08.3 amd64 arm64 x86 kde-apps/calendarjanitor-21.08.3 amd64 arm64 x86 kde-apps/calendarsupport-21.08.3 amd64 arm64 x86 kde-apps/eventviews-21.08.3 amd64 arm64 x86 kde-apps/grantlee-editor-21.08.3 amd64 arm64 x86 kde-apps/grantleetheme-21.08.3 amd64 arm64 x86 kde-apps/incidenceeditor-21.08.3 amd64 arm64 x86 kde-apps/kaddressbook-21.08.3-r1 amd64 arm64 x86 kde-apps/kalarm-21.08.3-r1 amd64 arm64 x86 kde-apps/kalarmcal-21.08.3 amd64 arm64 x86 kde-apps/kcalutils-21.08.3 amd64 arm64 x86 kde-apps/kdepim-addons-21.08.3 amd64 arm64 x86 kde-apps/kdepim-meta-21.08.3 amd64 arm64 x86 kde-apps/kdepim-runtime-21.08.3-r1 amd64 arm64 x86 kde-apps/kidentitymanagement-21.08.3 amd64 arm64 x86 kde-apps/kimap-21.08.3-r1 amd64 arm64 x86 kde-apps/kitinerary-21.08.3 x86 kde-apps/kitinerary-21.08.3-r1 amd64 arm64 dev-libs/libphonenumber-8.12.37 amd64 arm64 kde-apps/kldap-21.08.3 amd64 arm64 x86 kde-apps/kleopatra-21.08.3 amd64 arm64 x86 kde-apps/kmail-21.08.3 amd64 arm64 x86 kde-apps/kmail-account-wizard-21.08.3 amd64 arm64 x86 kde-apps/kmailtransport-21.08.3-r2 amd64 arm64 x86 kde-apps/kmbox-21.08.3 amd64 arm64 x86 kde-apps/kmime-21.08.3 amd64 arm64 x86 kde-apps/knotes-21.08.3 amd64 arm64 x86 kde-apps/konsolekalendar-21.08.3 amd64 arm64 x86 kde-apps/kontact-21.08.3 amd64 arm64 x86 kde-apps/kontactinterface-21.08.3 amd64 arm64 x86 kde-apps/korganizer-21.08.3-r1 amd64 arm64 x86 kde-apps/kpimtextedit-21.08.3 amd64 arm64 x86 kde-apps/kpkpass-21.08.3 amd64 arm64 x86 kde-apps/ksmtp-21.08.3-r1 amd64 arm64 x86 kde-apps/libgravatar-21.08.3 amd64 arm64 x86 kde-apps/libkdepim-21.08.3 amd64 arm64 x86 kde-apps/libkgapi-21.08.3 amd64 arm64 x86 kde-apps/libkleo-21.08.3 amd64 arm64 x86 kde-apps/libksieve-21.08.3 amd64 arm64 x86 kde-apps/libktnef-21.08.3 amd64 arm64 x86 kde-apps/mailcommon-21.08.3-r1 amd64 arm64 x86 kde-apps/mailimporter-21.08.3 amd64 arm64 x86 kde-apps/mbox-importer-21.08.3 amd64 arm64 x86 kde-apps/messagelib-21.08.3 amd64 arm64 x86 kde-apps/pim-data-exporter-21.08.3-r1 amd64 arm64 x86 kde-apps/pim-sieve-editor-21.08.3-r1 amd64 arm64 x86 kde-apps/pimcommon-21.08.3 amd64 arm64 x86 kde-apps/cervisia-21.08.3 amd64 arm64 x86 kde-apps/dolphin-plugins-git-21.08.3 amd64 arm64 x86 kde-apps/dolphin-plugins-mercurial-21.08.3 amd64 arm64 x86 kde-apps/dolphin-plugins-subversion-21.08.3 amd64 arm64 x86 kde-apps/kapptemplate-21.08.3 amd64 arm64 x86 kde-apps/kcachegrind-21.08.3 amd64 arm64 x86 kde-apps/kde-dev-scripts-21.08.3 amd64 arm64 x86 kde-apps/kde-dev-utils-21.08.3 amd64 arm64 x86 kde-apps/kdesdk-meta-21.08.3 amd64 arm64 x86 kde-apps/kdesdk-kioslaves-21.08.3 amd64 arm64 x86 kde-apps/kdesdk-thumbnailers-21.08.3 amd64 arm64 x86 kde-apps/kompare-21.08.3 amd64 arm64 x86 kde-apps/kross-interpreters-21.08.3 amd64 arm64 x86 kde-apps/libkomparediff2-21.08.3 amd64 arm64 x86 kde-apps/lokalize-21.08.3 amd64 arm64 x86 kde-apps/poxml-21.08.3 amd64 arm64 x86 kde-apps/umbrello-21.08.3 amd64 arm64 x86 app-cdr/dolphin-plugins-mountiso-21.08.3 amd64 arm64 x86 kde-apps/ark-21.08.3 amd64 arm64 x86 kde-apps/filelight-21.08.3 amd64 arm64 x86 kde-apps/kbackup-21.08.3 amd64 arm64 x86 kde-apps/kcalc-21.08.3 amd64 arm64 x86 kde-apps/kcharselect-21.08.3 amd64 arm64 x86 kde-apps/kdebugsettings-21.08.3 amd64 arm64 x86 kde-apps/kdeutils-meta-21.08.3 amd64 arm64 x86 kde-apps/kdf-21.08.3 amd64 arm64 x86 kde-apps/kfloppy-21.08.3 amd64 arm64 x86 kde-apps/kgpg-21.08.3 amd64 arm64 x86 kde-apps/kimagemapeditor-21.08.3-r1 amd64 arm64 x86 kde-apps/kteatime-21.08.3 amd64 arm64 x86 kde-apps/ktimer-21.08.3 amd64 arm64 x86 kde-apps/kwalletmanager-21.08.3 amd64 arm64 x86 kde-apps/print-manager-21.08.3 amd64 arm64 x86 kde-apps/sweeper-21.08.3 amd64 arm64 x86 kde-apps/yakuake-21.08.3 amd64 arm64 x86 kde-misc/markdownpart-21.08.3 amd64 arm64 x86 sys-block/partitionmanager-21.08.3 amd64 arm64 x86 sys-libs/kpmcore-21.08.3-r1 amd64 arm64 x86 media-libs/kcolorpicker-0.1.6 amd64 arm64 x86 media-libs/kimageannotator-0.5.2 amd64 arm64 x86 media-libs/pulseaudio-qt-1.3-r1 amd64 arm64 x86 net-libs/kdsoap-2.0.0 amd64 arm64 x86
Runtime testing required: ---
nattka: sanity-check+


Attachments
ark-21.08.3.tar.gz (ark-21.08.3.tar.gz,54.45 KB, application/octet-stream)
2021-11-08 20:51 UTC, Frank Krömmelbein
no flags Details
eventviews-21.08.3.tar.gz (eventviews-21.08.3.tar.gz,33.68 KB, application/octet-stream)
2021-11-10 22:10 UTC, Frank Krömmelbein
no flags Details
kalarm-21.08.3.tar.gz (kalarm-21.08.3.tar.gz,34.96 KB, application/octet-stream)
2021-11-10 22:16 UTC, Frank Krömmelbein
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2021-11-06 22:16:01 UTC
In preparation.
Comment 1 Andreas Sturmlechner gentoo-dev 2021-11-06 22:29:22 UTC
Adding media-libs/mlt-7.2.0 for kde-apps/kdenlive.
Comment 2 NATTkA bot gentoo-dev 2021-11-06 23:00:33 UTC Comment hidden (obsolete)
Comment 3 Andreas Sturmlechner gentoo-dev 2021-11-06 23:05:30 UTC
Adding media-libs/kcolorpicker-0.1.6, media-libs/kimageannotator-0.5.2 for kde-apps/spectacle.
Adding app-crypt/gpgme-1.16.0 for kde-apps/kleopatra and kde-apps/libkleo.
Comment 4 NATTkA bot gentoo-dev 2021-11-06 23:08:33 UTC Comment hidden (obsolete)
Comment 5 Andreas Sturmlechner gentoo-dev 2021-11-07 09:10:22 UTC
Frank, looking forward to your testing as always. :)
Comment 6 Andreas Sturmlechner gentoo-dev 2021-11-07 11:05:25 UTC
No fix for the linked CVE in branch 21.08 yet, but awaiting upstream instructions for backporting.
Comment 7 Andreas Sturmlechner gentoo-dev 2021-11-07 17:06:35 UTC
Adding media-libs/pulseaudio-qt-1.3-r1 to the mix as dependency of kde-misc/kdeconnect.
Comment 8 Andreas Sturmlechner gentoo-dev 2021-11-07 22:50:54 UTC
Adding net-libs/kdsoap-2.0.0 to the mix as a dependency of kde-apps/kio-extras.
Comment 9 Frank Krömmelbein 2021-11-08 20:49:30 UTC
In advance the first major problem:

1) kde-apps/ark-21.08.3 test hangs endless:

Test project /var/tmp/portage/kde-apps/ark-21.08.3/work/ark-21.08.3_build
      Start  1: app-batchextracttest
      Start  2: kerfuffle-addtoarchivetest
      Start  3: kerfuffle-deletetest
      Start  4: kerfuffle-loadtest
      Start  5: kerfuffle-extracttest
      Start  6: kerfuffle-addtest
      Start  7: kerfuffle-movetest
      Start  8: kerfuffle-copytest
      Start  9: kerfuffle-createdialogtest
      Start 10: kerfuffle-metadatatest
      Start 11: kerfuffle-mimetypetest
      Start 12: kerfuffle-adddialogtest
      Start 13: kerfuffle-jobstest
      Start 14: plugins-cliziptest
      Start 15: plugins-cli7ztest
      Start 16: plugins-clirartest
 1/17 Test #10: kerfuffle-metadatatest ...........   Passed    0.01 sec
      Start 17: plugins-cliunarchivertest
 2/17 Test #11: kerfuffle-mimetypetest ...........   Passed    0.02 sec
 3/17 Test #14: plugins-cliziptest ...............   Passed    0.03 sec
 4/17 Test #17: plugins-cliunarchivertest ........   Passed    0.03 sec
 5/17 Test #13: kerfuffle-jobstest ...............   Passed    0.04 sec
 6/17 Test #16: plugins-clirartest ...............   Passed    0.05 sec
 7/17 Test #15: plugins-cli7ztest ................   Passed    0.05 sec
 8/17 Test  #3: kerfuffle-deletetest .............   Passed    0.23 sec
 9/17 Test  #1: app-batchextracttest .............   Passed    0.28 sec
10/17 Test  #4: kerfuffle-loadtest ...............   Passed    0.72 sec
11/17 Test  #5: kerfuffle-extracttest ............   Passed    1.36 sec
12/17 Test #12: kerfuffle-adddialogtest ..........   Passed    2.72 sec
13/17 Test  #6: kerfuffle-addtest ................   Passed    2.90 sec
14/17 Test  #7: kerfuffle-movetest ...............   Passed    4.37 sec
15/17 Test  #8: kerfuffle-copytest ...............   Passed    5.35 sec
16/17 Test  #9: kerfuffle-createdialogtest .......   Passed    5.69 sec


There was no further progress here even after a few hours.
Comment 10 Frank Krömmelbein 2021-11-08 20:51:37 UTC
Created attachment 749625 [details]
ark-21.08.3.tar.gz
Comment 11 Frank Krömmelbein 2021-11-10 22:10:50 UTC
Created attachment 750234 [details]
eventviews-21.08.3.tar.gz

2) FEATURES=' test' failed for =kde-apps/eventviews-21.08.3

Test project /var/tmp/portage/kde-apps/eventviews-21.08.3/work/eventviews-21.08.3_build
    Start 1: monthitemordertest
1/1 Test #1: monthitemordertest ...............Subprocess aborted***Exception:   0.03 sec
0% tests passed, 1 tests failed out of 1
Comment 12 Frank Krömmelbein 2021-11-10 22:16:10 UTC
Created attachment 750237 [details]
kalarm-21.08.3.tar.gz

3) USE='-X' failed for =kde-apps/kalarm-21.08.3

MAKEOPTS="-j1" USE="-X" emerge -1v kalarm
[ebuild   R   ~] kde-apps/kalarm-21.08.3:5::gentoo  USE="handbook -X* -debug" 0 KiB

/var/tmp/portage/kde-apps/kalarm-21.08.3/work/kalarm-21.08.3/src/messagewindow.cpp: In member function ‘bool MessageWindow::getWorkAreaAndModal()’:
/var/tmp/portage/kde-apps/kalarm-21.08.3/work/kalarm-21.08.3/src/messagewindow.cpp:1268:45: error: invalid use of incomplete type ‘class QScreen’
 1268 |         if (QGuiApplication::primaryScreen()->virtualSiblings().size() > 1)
      |                                             ^~
In file included from /usr/include/qt5/QtWidgets/qwidget.h:55,
                 from /usr/include/qt5/QtWidgets/qmainwindow.h:44,
                 from /usr/include/qt5/QtWidgets/QMainWindow:1,
                 from /usr/include/KF5/KXmlGui/kmainwindow.h:20,
                 from /usr/include/KF5/KXmlGui/kxmlguiwindow.h:17,
                 from /usr/include/KF5/KXmlGui/KXmlGuiWindow:1,
                 from /var/tmp/portage/kde-apps/kalarm-21.08.3/work/kalarm-21.08.3/src/mainwindowbase.h:11,
                 from /var/tmp/portage/kde-apps/kalarm-21.08.3/work/kalarm-21.08.3/src/messagewindow.h:11,
                 from /var/tmp/portage/kde-apps/kalarm-21.08.3/work/kalarm-21.08.3/src/messagewindow.cpp:9:
/usr/include/qt5/QtGui/qcursor.h:51:7: note: forward declaration of ‘class QScreen’
   51 | class QScreen;
      |       ^~~~~~~
/var/tmp/portage/kde-apps/kalarm-21.08.3/work/kalarm-21.08.3/src/messagewindow.cpp:1275:44: error: invalid use of incomplete type ‘class QScreen’
 1275 |                 screenRects[s] = screens[s]->geometry();
      |                                            ^~
In file included from /usr/include/qt5/QtWidgets/qwidget.h:55,
                 from /usr/include/qt5/QtWidgets/qmainwindow.h:44,
                 from /usr/include/qt5/QtWidgets/QMainWindow:1,
                 from /usr/include/KF5/KXmlGui/kmainwindow.h:20,
                 from /usr/include/KF5/KXmlGui/kxmlguiwindow.h:17,
                 from /usr/include/KF5/KXmlGui/KXmlGuiWindow:1,
                 from /var/tmp/portage/kde-apps/kalarm-21.08.3/work/kalarm-21.08.3/src/mainwindowbase.h:11,
                 from /var/tmp/portage/kde-apps/kalarm-21.08.3/work/kalarm-21.08.3/src/messagewindow.h:11,
                 from /var/tmp/portage/kde-apps/kalarm-21.08.3/work/kalarm-21.08.3/src/messagewindow.cpp:9:
/usr/include/qt5/QtGui/qcursor.h:51:7: note: forward declaration of ‘class QScreen’
   51 | class QScreen;
      |       ^~~~~~~
/var/tmp/portage/kde-apps/kalarm-21.08.3/work/kalarm-21.08.3/src/messagewindow.cpp: In function ‘{anonymous}::FullScreenType {anonymous}::haveFullScreenWindow(int)’:
/var/tmp/portage/kde-apps/kalarm-21.08.3/work/kalarm-21.08.3/src/messagewindow.cpp:1352:41: warning: unused parameter ‘screen’ [-Wunused-parameter]
 1352 | FullScreenType haveFullScreenWindow(int screen)
      |                                     ~~~~^~~~~~
/var/tmp/portage/kde-apps/kalarm-21.08.3/work/kalarm-21.08.3/src/messagewindow.cpp: In function ‘{anonymous}::FullScreenType {anonymous}::findFullScreenWindows(const QVector<QRect>&, QVector<{anonymous}::FullScreenType>&)’:
/var/tmp/portage/kde-apps/kalarm-21.08.3/work/kalarm-21.08.3/src/messagewindow.cpp:1385:60: warning: unused parameter ‘screenRects’ [-Wunused-parameter]
 1385 | FullScreenType findFullScreenWindows(const QVector<QRect>& screenRects, QVector<FullScreenType>& screenTypes)
      |                                      ~~~~~~~~~~~~~~~~~~~~~~^~~~~~~~~~~
ninja: build stopped: subcommand failed.
Comment 13 Andreas Sturmlechner gentoo-dev 2021-11-13 20:07:48 UTC
Bumping kde-apps/kdepim-runtime-21.08.3-r1 for CVE-2020-15954 fix.
Comment 14 Andreas Sturmlechner gentoo-dev 2021-11-15 19:00:41 UTC
Bumping kde-apps/kaddressbook-21.08.3-r1 and kde-apps/kalarm-21.08.3-r1 for dependency cleanups.
Comment 15 NATTkA bot gentoo-dev 2021-11-15 19:01:04 UTC Comment hidden (obsolete)
Comment 16 NATTkA bot gentoo-dev 2021-11-15 19:09:52 UTC Comment hidden (obsolete)
Comment 17 NATTkA bot gentoo-dev 2021-11-16 07:40:30 UTC Comment hidden (obsolete)
Comment 18 Andreas Sturmlechner gentoo-dev 2021-11-16 07:40:39 UTC
Several revbumps for further bogus dep cleanups.
Comment 19 Andreas Sturmlechner gentoo-dev 2021-11-16 13:21:22 UTC
Dropped a bogus dep from app-accessibility/kontrast-21.08.3-r1
Comment 20 Andreas Sturmlechner gentoo-dev 2021-11-23 15:00:18 UTC
Revbumps to:
kde-apps/kmailtransport-21.08.3-r1 // crash fix
sys-libs/kpmcore-21.08.3-r1 // zfs fix, shred fix
Comment 21 NATTkA bot gentoo-dev 2021-11-23 15:00:33 UTC Comment hidden (obsolete)
Comment 22 NATTkA bot gentoo-dev 2021-11-23 15:04:48 UTC Comment hidden (obsolete)
Comment 23 Andreas Sturmlechner gentoo-dev 2021-11-23 20:13:44 UTC
CVE-2021-38373 revbumps:
kde-apps/kimap-21.08.3-r1
kde-apps/ksmtp-21.08.3-r1
kde-apps/kmailtransport-21.08.3-r2
Comment 24 Andreas Sturmlechner gentoo-dev 2021-11-23 20:27:05 UTC
@Frank:

kde-apps/eventviews test fixed in commit fc1b8fd525a90f0abcd2be9becdb366006547e62 thanks to telans.

could you please also re-test kde-apps/ark after syncing? Ofc abort after a few minutes should it hang again.
Comment 25 Andreas Sturmlechner gentoo-dev 2021-11-24 12:52:18 UTC
(In reply to Frank Krömmelbein from comment #12)
> Created attachment 750237 [details]
> kalarm-21.08.3.tar.gz
> 
> 3) USE='-X' failed for =kde-apps/kalarm-21.08.3
Can't even start to compile with USE=-X right now because of problems down the line with cmake dependencies of kde-frameworks/* deps, see bug 813450. It shall be ignored for now.
Comment 26 Larry the Git Cow gentoo-dev 2021-11-25 13:17:24 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/proj/kde.git/commit/?id=c01522cb187535b2c6c77f4765a756d1964f8225

commit c01522cb187535b2c6c77f4765a756d1964f8225
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2021-11-25 13:13:56 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2021-11-25 13:14:25 +0000

    kde-apps/ark: Add missing test BDEPEND, skip segfaulting/hanging test
    
    plugins-clirartest requires app-arch/rar.
    kerfuffle-addtoarchivetest may segfault or hang indefinitely.
    
    Bug: https://bugs.gentoo.org/822177
    Package-Manager: Portage-3.0.28, Repoman-3.0.3
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 kde-apps/ark/ark-21.11.80.ebuild      | 10 ++++++++++
 kde-apps/ark/ark-21.12.49.9999.ebuild | 10 ++++++++++
 kde-apps/ark/ark-9999.ebuild          | 10 ++++++++++
 3 files changed, 30 insertions(+)
Comment 27 Larry the Git Cow gentoo-dev 2021-11-25 13:25:57 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f035ccfa49897a9287736e3078da24c0faf20e48

commit f035ccfa49897a9287736e3078da24c0faf20e48
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2021-11-25 13:13:56 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2021-11-25 13:25:36 +0000

    kde-apps/ark: Add missing test BDEPEND, skip segfaulting/hanging test
    
    plugins-clirartest requires app-arch/rar.
    kerfuffle-addtoarchivetest may segfault or hang indefinitely.
    
    Bug: https://bugs.gentoo.org/822177
    Package-Manager: Portage-3.0.28, Repoman-3.0.3
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 kde-apps/ark/ark-21.08.3.ebuild | 10 ++++++++++
 1 file changed, 10 insertions(+)
Comment 28 Frank Krömmelbein 2021-11-25 20:57:46 UTC
(In reply to Andreas Sturmlechner from comment #24)
> @Frank:
> 
> kde-apps/eventviews test fixed in commit
> fc1b8fd525a90f0abcd2be9becdb366006547e62 thanks to telans.
> 
> could you please also re-test kde-apps/ark after syncing? Ofc abort after a
> few minutes should it hang again.

I tried it this morning, there was no longer a hang in the test of kde-apps/ark.
But there was still a test error, which you've already fixed in the meantime.
The fix for kde-apps/eventviews also works for me.
Comment 29 Andreas Sturmlechner gentoo-dev 2021-11-26 10:22:37 UTC
Thanks for checking back!

While waiting for bug 823854:
kde-apps/kitinerary-21.08.3 amd64 arm64
kde-apps/kitinerary-21.08.3-r1 ppc64 x86
dev-libs/libphonenumber-8.12.37 ppc64 x86
Comment 30 Andreas Sturmlechner gentoo-dev 2021-11-26 10:23:24 UTC
(In reply to Andreas Sturmlechner from comment #29)
> dev-libs/libphonenumber-8.12.37 ppc64 x86
Correction: 
dev-libs/libphonenumber-8.12.37 amd64 arm64
Comment 31 NATTkA bot gentoo-dev 2021-11-26 10:28:45 UTC Comment hidden (obsolete)
Comment 32 Andreas Sturmlechner gentoo-dev 2021-11-26 10:30:32 UTC
ofc no ppc64.
Comment 33 NATTkA bot gentoo-dev 2021-11-26 10:32:47 UTC
All sanity-check issues have been resolved
Comment 34 Andreas Sturmlechner gentoo-dev 2021-11-26 17:42:48 UTC
Dropping app-crypt/gpgme (and un-CC related arches) that is already stabilised elsewhere.
Comment 35 Sam James archtester gentoo-dev Security 2021-11-28 01:44:15 UTC
arm64 done
Comment 36 Sam James archtester gentoo-dev Security 2021-11-28 01:54:58 UTC
amd64 done
Comment 37 Sam James archtester gentoo-dev Security 2021-11-29 00:51:29 UTC
x86 done

all arches done